Routescope APIRoutescope API
Model API DocumentationVideo Models

List Current User Asset Groups

Return asset groups owned by the user represented by the current token.

Return asset groups owned by the user represented by the current token in this project. The list is filtered by the local ownership table and does not expose other asset groups under the same upstream API key.

GET
/v1/api/video-studio/assets/ecloud
curl -X GET "https://api.routescope.ai/v1/api/video-studio/assets/ecloud"
{
  "data": {
    "totalSize": 1,
    "groupIds": [
      "string"
    ],
    "items": [
      {
        "groupId": "group_xxx",
        "groupName": "Product asset group",
        "displayName": "Product asset group",
        "groupType": "AIGC",
        "assetId": "asset_xxx",
        "assetName": "image.png",
        "assetType": "Image",
        "assetUrl": "https://example.com/path/to/asset.png",
        "coverUrl": "https://example.com/path/to/asset.png",
        "assetCount": 3,
        "status": "SUCCESS"
      }
    ],
    "urls": [
      "http://example.com"
    ]
  },
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}
{
  "data": null,
  "error": {
    "code": "not_found",
    "message": "asset group not found"
  },
  "request_id": "req_xxx"
}

Authorization

BearerAuth

AuthorizationBearer <token>

Use this project's gateway token: Authorization: Bearer <API_TOKEN>. This is not the upstream asset-library API key.

In: header

Query Parameters

limit?integer

Number of items to return. Default is 50, maximum is 100.

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

Last updated on